Bug 6185 - TDB: Missing includes in /usr/include/tdb.h
TDB: Missing includes in /usr/include/tdb.h
Status: RESOLVED FIXED
Product: CTDB 2.5.x or older
Classification: Unclassified
Component: ctdb
unspecified
Other Linux
: P3 normal
: ---
Assigned To: Michael Adam
Michael Adam
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-12 09:10 UTC by Pavol Rusnak
Modified: 2016-09-02 00:54 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pavol Rusnak 2009-03-12 09:10:04 UTC
#include <fcntl.h>
#include <signal.h>

These two includes are missing from /usr/include/tdb.h

(the bug is against TDB library, not CTDB, just couldn't find the right product/component, sorry)
Comment 1 Luk Claes 2011-05-13 16:51:46 UTC
This should have been filed against samba proper. Though it seems to be fixed in the meantime, so maybe it should just be closed now?
Comment 2 Martin Schwenke 2016-09-02 00:54:18 UTC
Finally closing this as fixed.